Bug 448032 - Xorg X11 child borders are redrawn incorrectly when window is dragged away from edge of screen
Xorg X11 child borders are redrawn incorrectly when window is dragged away fr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 22:09 EDT by Joey Adams
Modified: 2009-07-14 13:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C Xlib program that draws a window with 2 bordered children that can be used to easily see the child border redraw problem. (2.25 KB, text/x-csrc)
2008-05-22 22:09 EDT, Joey Adams
no flags Details

  None (edit)
Description Joey Adams 2008-05-22 22:09:17 EDT
Description of problem:
When a window with widgets containing borders is dragged off the screen and back
on (under a window manager that actively updates the window content as the
window is dragged), the borders are drawn incorrectly (they appear to be one
frame behind).

Version-Release number of selected component (if applicable):
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0

How reproducible:
Very easy to reproduce; one just needs Fedora 9 with an up-to-date (as of
2008-05-22) Xorg, a window manager that draws the whole window being dragged
instead of just an outline (e.g. metacity or kwin), and a program that draws
borders (such as xterm or the sample program attached).

I have personally reproduced this on a fully X-upgraded Fedora 9 with a fully
upgraded xterm on my PC with a Radeon 9250.  I also reproduced it on an iBook G3
under the r128 (Rage 128) driver.  The problem appears under both metacity and
kwin.  I also asked someone on IRC to try my sample program with borders, and he
saw the problem, too.

This problem does not appear on Kubuntu Hardy (which I guess has an older
version of Xorg).

Steps to Reproduce:
1. Download the attached C program and build with the following command:  gcc
-Os -Wall -W -lX11 xbordertest.c -o xbordertest
2. Run the program, and drag the window to the edge, hiding the red and blue
squares.  Then, drag the window back on screen.  You should see the black frames
(borders) around both rectangles getting smeared.  If not, try another edge :)

Alternatively, if you're leery of running my code, don't know how to audit it,
or simply don't feel like compiling and running it, you can observe this problem
under xterm with the same procedure. :)

Actual results:
Child borders are redrawn off-step (and thus smeared) when the window is dragged
off the screen and back on.

Expected results:
Child borders should be drawn correctly all the time like in earlier versions of
the X server.

Additional info:
You won't notice this problem much because most programs these days don't use
the X11 borders feature anymore :)
Comment 1 Joey Adams 2008-05-22 22:09:17 EDT
Created attachment 306438 [details]
C Xlib program that draws a window with 2 bordered children that can be used to easily see the child border redraw problem.
Comment 2 Bug Zapper 2009-06-09 21:06:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:41:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.